---
# first install create signatures
# after this all files are maintained by perfact-useradmin

- name: create folder and own it to perfact-useradmin
  tags: create_signatures
  become: true
  ansible.builtin.file:
    path: /opt/perfact/create_signatures
    state: directory
    mode: '0755'
    owner: perfact-useradmin

# to prevent error accessing temporary files with become
# see: https://docs.ansible.com/ansible-core/2.15/playbook_guide/playbooks_privilege_escalation.html#resolving-temporary-file-error-messsages
- name: install acl for become_user
  tags: create_signatures
  become: true
  ansible.builtin.package:
    name: acl
    state: present

# followings tasks will be done by
#   'internalit/roles/perfact-login/create_signatures/tasks/main.yml'
#      * copy script to target system
#      * copy templates to target system
#      * create signatures for user(s)
